New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Voices

Persist a transcript for a saved voice

POST
/api/v1/voices/{voice_id}/transcript

Store a transcript on a saved voice and invalidate its baked clone prompt.

Path Parameters

voice_id*Voice Id

Request Body

application/json
  1. body
text*Text

Transcript text to persist

word_timestamps?array<>|

Word-level timestamps to persist alongside the transcript

transcript_manual?|

True if the user wrote or corrected the transcript. Null keeps the voice's current value.

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

message?Message

Human-readable result message

Default""
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/voices/string/transcript' \  -H 'Content-Type: application/json' \  -d '{  "text": "Hello, this is a sample of my voice."}'
Example Response
{  "success": true,  "message": ""}